import javax.swing.*;
import java.awt.GridLayout; 
//*** Make sure you have all the import statements that you need.

/**
 * Lab #5
 * CS 2334, Section SECTION NUMBER GOES HERE
 * DATE GOES HERE
 * <P>
 * This implements a program to assign a score to a word,
 * based on its length.
 * </P>
 * @author Group GROUP NAMES GO HERE
 * @version 1.0
 */
public class Calculate
{
	/** The data model for the GUI. */
	Word dataModel;

	/** Main window of the program. */
	JFrame theFrame;

	/** "Convert" button */
	JButton calculateButton;
	
	/** "Close" button */
	JButton closeButton;

	/** Textfield for use input. */
	JTextField inputField;

	/** Label used to output the Word. */
	JLabel wordOutput;
	/** Label used to output the word length. */
	JLabel lengthOutput;
	/** Label used to output the word's score. */
	JLabel scoreOutput;

	/**
	 * This constructor creates the GUI, associates all
	 * event handlers with components, and displays the GUI. 
	 * <P>
	 * @param             data   The date model for the GUI.
	 */   
	public Calculate( Word data )
	{
		// Save a reference to the data model.
		dataModel = data;

		// Create the buttons for the program.
		calculateButton = new JButton( "Calculate" );
		closeButton   = new JButton( "Close" );

		// Create a label and textfield for use input.
		JLabel inputLabel = new JLabel( "Word: " );

		inputField = new JTextField( 20 );

		// Create labels that label the output:)

		JLabel wordLabel = new JLabel( "Length: " );
		JLabel lengthLabel = new JLabel( "Word: " );
		JLabel scoreLabel = new JLabel( "Score: " );

		// Create labels to hold the output.

		/* When the user clicks on calculate you should set the text
		 * of each of the labels below to the appropriate output.
		 * Use the setText method of JLabel.
		 */

		wordOutput = new JLabel( "" );
		lengthOutput = new JLabel( "" );
		scoreOutput = new JLabel( "" );

		/************************************************************************
		 ************************************************************************
		 *** The program must handle three different events.
		 *** 1. User clicks on the calculate button.
                --> Get the word in inputField and pass it to the data model, 
                	setting the value of the data model's word variable to
                	the word in inputField. Then, call the accessor methods of
                    Word to update and retrieve the class variables of Word.
                    Lastly, update the appropriate labels (see above) to
                    display the word, its length, and its score.
		 *** 2. User presses enter in the inputField textfield.
                 --> Perform the same action as #1.
		 *** 3. User clicks on the close button.
                 --> Terminate the program with a call to the exit() method
                     of the system class.
		 *************************************************************************
		 ************************************************************************/

		/***
		 *** Add an action listener for the components that
		 *** actions can occur on.
		 ***/
	    
	    

		// Create the JFrame for the window and set it's default close operation.
		theFrame = new JFrame( "Word Score Calculation" );
		theFrame.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );

		// Change the layout manager of the content pane.
		theFrame.setLayout( new GridLayout( 0, 2 ) );

		// Add all components to the content pane.

		theFrame.add( inputLabel );
		theFrame.add( inputField );

		theFrame.add( calculateButton );
		theFrame.add( closeButton );

		theFrame.add( wordLabel );
		theFrame.add( wordOutput );

		theFrame.add( lengthLabel );
		theFrame.add( lengthOutput );

		theFrame.add( scoreLabel );
		theFrame.add( scoreOutput );

		// Pack the window and make it visible.
		theFrame.pack();
		theFrame.setVisible( true );
	}

		
	/**
	 * This is the main method for this program. 
	 * This method simply creates an instance of Converter and Temperature.
	 * Temperature is used as the data model and Converter provides
	 * a user interface to the data model.  The call to the constructor
	 * of GUI will create and display the GUI for the program.
	 * <P>
	 * @param             args       Contains the command line arguments.
	 */
	public static void main( String args[] )
	{
		Word word = new Word();

		@SuppressWarnings("unused")
		Calculate convert = new Calculate( word );
	}
}
